Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.util
Interface KeyDescription

All Superinterfaces:
  Described

All Known Implementing Classes:
  Attribute, BooleanAttribute, BooleanTreeAttribute, ByteAttribute, ByteTreeAttribute, CharAttribute, CharTreeAttribute, DensityTreeAttribute, DoubleAttribute, DoubleTreeAttribute, FloatAttribute, FloatTreeAttribute, GlobalTransformation, HeightTreeAttribute, IdTreeAttribute, IntAttribute, IntEnumerationAttribute, IntTreeAttribute, KeyDescriptionImpl, LocationParameterTreeAttribute, LongAttribute, LongTreeAttribute, Matrix3dAttribute, Matrix3fAttribute, Matrix4dAttribute, Matrix4fAttribute, NumberTreeAttribute, ObjectAttribute, ObjectTreeAttribute, Option, ParentAttribute, Point2dAttribute, Point2fAttribute, Point3dAttribute, Point3fAttribute, ShortAttribute, ShortTreeAttribute, StringAttribute, TreeValuesTreeAttribute, Tuple2dAttribute, Tuple2fAttribute, Tuple3dAttribute, Tuple3fAttribute, Tuple4dAttribute, Tuple4fAttribute, TurtleStateAttribute, Vector2dAttribute, Vector2fAttribute, Vector3dAttribute, Vector3fAttribute, VoidAttribute, VolumeAttribute

    public interface KeyDescription

extends Described

A description of the properties of a key. This interface inherits the semantics of its superinterface `Described`. In addition, it provides information about some key being described, and about the type and quantity of values associated with this key.

Author:
  Ole Kniemeyer

Field Summary

Fields inherited from interface de.grogra.util.Described
`ACCELERATOR_KEY, ICON, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, TITLE`

Method Summary
`java.lang.String` | `getKey()` Returns the key which is described by this instance.
`Quantity` | `getQuantity()` Returns the quantity of values which are associated with the key.
`Type` | `getType()` Returns the type of values which are associated with the key.

Methods inherited from interface de.grogra.util.Described
`getDescription`

Method Detail

### getKey

    java.lang.String getKey()

  Returns the key which is described by this instance.

  Returns:
    the key

### getQuantity

    Quantity getQuantity()

  Returns the quantity of values which are associated with the key.

  Returns:
    the quantity of values

### getType

    Type getType()

  Returns the type of values which are associated with the key.

  Returns:
    the type of values

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD